<?php

use App\Models\Responsible;
use App\Models\ReportQuarter;
use App\Services\RepportService;
use Livewire\Component;

return new class extends Component
{
    public $data = [];
    public $input = [];
    public $users = [];
    public $matters = [];
    public $school;
    public $cutting;

    public function __contruct($cutting, $school) {
        $this->cutting = $cutting;
        $this->school = $school;
    }

    public function mount() {
        $report = ReportQuarter::where('school_id', $this->school)->where('cutting_school_year_id', $this->cutting)->first();
        $dts = $report ? Responsible::where('report_quarter_id', $report->id)->orderBy('order')->get():[];
        $this->data = $dts;
    }

    public function myInput(RepportService $service) {    
        $data = $service->getData($this->school);
        $this->input = $this->data;
        $this->users = $data[0];
        $this->matters = $data[1];
    }

    protected function view($data = [])
    {
        return app('view')->file('C:\Users\EDUCAS\Desktop\App\V4_001\storage\framework/views/livewire/views/08e5cbd7.blade.php', $data);
    }
};
